@charset "UTF 8";

body {
  /* background-image: url(../img/桜背景用.png); */
  background-attachment: fixed;
}

/* 見出し
    ---------------------------------------------------------------------------*/
    .top-title {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      margin-bottom: 24px;
    }
    
    .title-text {
      position: relative;
      font-family: var(--title-font-family);
      font-size: var(--content-title-fs);
      letter-spacing: 0.1em;
      color: var(--main_deap-red);
    }
    
    .sub-text {
      font-family: var(--title-font-family);
      font-size: var(--text-fs);
      letter-spacing: 0.15em;
      color: var(--font_black);
    }

    @media screen and (max-width: 768px) {
      .top-title {
        margin-bottom: 16px;
      }
    }

/* about--レイアウト配置
---------------------------------------------------------------------------*/
.about {
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  margin: 0 auto;
  height: 100vh;
  width: 100%;
  max-width: var(--content-erea-width);
}

.about__wrapper {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  width: 100%;
  margin: 90px 40px 0 40px;
}

.about__content {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  /* height: 100%; */
  width: 50%;
}

.about__content-bg {
  position: absolute;
  top: -100px;
  left: 20%;
  width: 100%;
  max-width: 500px;
  aspect-ratio: 1/1;
  height: auto;
  background-image: url("../img/日本列島.png");
  background-size: cover;
  background-position: center;
  z-index: -1;
}

.about__gallery {
  width: 50%;
  height: 100%;
  display: grid;
  grid-template-columns: 2fr 3fr;
  grid-template-rows: repeat(4, 1fr);
  gap: 16px;
  grid-template-areas:
    ".       foods"
    "culture foods"
    "culture technology"
    "culture technology";
}
.img__left {
  grid-area: culture;
}
.img-right-top {
  grid-area: foods;
}
.img-right-bottom {
  grid-area: technology;
}

.about__gallery img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 16px;
  filter: brightness(0.9);
}

@media screen and (max-width: 1024px) {
  .about {
    height: 100%;
  }
  .about__wrapper {
    margin: 100px 20px 0 20px;
  }
  .about__content-bg {
    top: -40px;
    left: 25%;
    width: 85%;
  }
}

@media screen and (max-width: 768px) {
  .about__wrapper {
    display: block;
    align-items: center;
  }

  .about__content {
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
  }

  .about__content-bg {
    right: 40px;
    left: auto;
    top: -20px;
    width: 45%;
    min-width: 300px;
  }

  .about__gallery {
    width: 100%;
    height: 50%;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 8px;
    grid-template-areas:
      "culture foods"
      "culture technology";
    margin-top: 32px;
  }
}

@media screen and (max-width: 520px) {
  .about__content-bg {
    left: auto;
    right: auto;
  }
}

/* about--タイトル、テキスト
---------------------------------------------------------------------------*/
.about__title {
  width: 100%;
  font-family: var(--title-font-family);
  font-size:var(--front-page-about-title-fs);
  font-weight: bold;
  margin-bottom: 32px;
  line-height: 1.2;
}

.about__text {
  width: 80%;
  margin-bottom: 72px;
}

@media screen and (max-width: 768px) {
  .about__title {
    margin-bottom: 16px;
  }
  .about__title br:nth-of-type(1) {
    display: none;
  }
  .about__text {
    margin-bottom: 32px;
  }
}

/*【共通】 Four-aseasons,Popular-Post,Latest-Post　共通全体配置
---------------------------------------------------------------------------*/
.four-seasons,
.popular-post,
.latest-post {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: var(--content-erea-width);
  margin: 150px auto 0 auto;
  padding: 0 40px;
}

@media screen and (max-width: 1024px) {
  .four-seasons,
  .popular-post,
  .latest-post {
    padding: 0 20px;
  }
}

@media screen and (max-width: 768px) {
  .four-seasons,
  .popular-post,
  .latest-post {
    margin: 100px auto 0 auto;
  }
}

/* Four Seasons
---------------------------------------------------------------------------*/
.four-seasons__card-wrapper {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 20px;
}

.four-seasons__card {
  display: flex;
  position: relative;
  flex-direction: column;
  text-align: center;
  border-radius: 16px;
  overflow: hidden;
  height: auto;
  transition: transform 0.8s ease;
}

.four-seasons__description {
  text-align: center;
  text-wrap: balance;
  max-width: 100%;
  margin: 0 auto 16px;
  font-size: var(--text-fs);
}

.four-seasons__thumb {
  width: 100%;
}

.four-seasons__thumb img {
  display: block;
  width: 100%;
  height: auto;
  transition: transform 0.8s ease;
  filter: brightness(0.85);
}

.four-seasons__card:hover .four-seasons__thumb img {
  transform: scale(1.05);
}

@media (hover: none) {
  .four-seasons__card:active .four-seasons__thumb img {
    transform: scale(1.05);
  }
}

.four-seasons__title {
  position: absolute;
  top: 16px;
  left: 16px;
  font-family: var(--title-font-family);
  font-size: var(--content-title-fs);
  font-weight: bold;
  color: var(--main_white);
  transition: all 0.8s ease;
}

.img__kangi {
  position: absolute;
  bottom: 16px;
  right: 16px;
  width: 60px;
  aspect-ratio: 1/1;
  height: auto;
  object-fit: contain;
}

@media screen and (max-width: 1024px) {
  .four-seasons__card-wrapper {
    gap: 16px;
  }
  .four-seasons__title {
    top: 12px;
    left: 12px;
  }
  .img__kangi {
    bottom: 12px;
    right: 12px;
    width: 40px;
  }
}
@media screen and (max-width: 768px) {
  .four-seasons__card-wrapper {
    gap: 8px;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, 1fr);
  }
}

/* popular post
---------------------------------------------------------------------------*/
.pp__cards-wrapper {
  display: grid;
  margin-top: 16px;
  margin-bottom: 72px;
  grid-template: repeat(3, 1fr) / repeat(2, 1fr);
  row-gap: 24px;
  column-gap: 40px;
  grid-template-areas:
    "No1 No2"
    "No1 No3"
    "No1 No4";
}

#Rnking__No1 {
  grid-area: No1;
}
#Rnking__No2 {
  grid-area: No2;
}
#Rnking__No3 {
  grid-area: No3;
}
#Rnking__No4 {
  grid-area: No4;
}

@media screen and (max-width: 768px) {
  .pp__cards-wrapper {
    display: grid;
    margin-top: 0;
    margin-bottom: 32px;
    grid-template: repeat(4, 1fr) / 1fr;
    column-gap: 0;
    row-gap: 16px;
    grid-template-areas:
      "No1"
      "No2"
      "No3"
      "No4";
  }
}

#Rnking__No1 > .pp__card-item {
  height: auto;
  display: flex;
  flex-direction: column;
  background-color: var(--main_white);
}

#Rnking__No1 > .pp__card-item > .card__body {
  width: 90%;
}

#Rnking__No1 > .pp__card-item > .pp__card-thumb {
  width: 90%;
  border-radius: 16px;
  overflow: hidden;
}

#Rnking__No1 > .pp__card-item > .pp__card-thumb img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 8/5;
  transition: transform 0.5s ease;
  border-radius: inherit;
}

@media screen and (max-width: 768px) {
  #Rnking__No1 > .pp__card-item {
    flex-direction: row;
  }
  #Rnking__No1 > .pp__card-item > .pp__card-thumb {
    aspect-ratio: 1 / 1;
    flex-shrink: 0;
    width: 130px;
    height: 130px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}

#Rnking__No2 > .pp__card-item,
#Rnking__No3 > .pp__card-item,
#Rnking__No4 > .pp__card-item {
  display: flex;
  background-color: var(--main_white);
}

#Rnking__No2 > .pp__card-item > .card__body,
#Rnking__No3 > .pp__card-item > .card__body,
#Rnking__No4 > .pp__card-item > .card__body {
  /* height: 100%;
  max-height: 150px; */
  
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
/* @media screen and (max-width: 768px) {
  #Rnking__No2 > .pp__card-item > .card__body,
  #Rnking__No3 > .pp__card-item > .card__body,
  #Rnking__No4 > .pp__card-item > .card__body {
    max-height: 130px;
  }
} */

#Rnking__No2 > .pp__card-item > .pp__card-thumb,
#Rnking__No3 > .pp__card-item > .pp__card-thumb,
#Rnking__No4 > .pp__card-item > .pp__card-thumb {
  aspect-ratio: 1 / 1;
  flex-shrink: 0;
  width: 150px;
  height: 150px;
  overflow: hidden;
  border-radius: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
}

@media screen and (max-width: 1024px) {
  #Rnking__No2 > .pp__card-item > .pp__card-thumb,
  #Rnking__No3 > .pp__card-item > .pp__card-thumb,
  #Rnking__No4 > .pp__card-item > .pp__card-thumb {
    width: 130px;
    height: 130px;
  }
}

@media screen and (max-width: 520px) {
  #Rnking__No1 > .pp__card-item > .pp__card-thumb,
  #Rnking__No2 > .pp__card-item > .pp__card-thumb,
  #Rnking__No3 > .pp__card-item > .pp__card-thumb,
  #Rnking__No4 > .pp__card-item > .pp__card-thumb {
    width: 100px;
    height: 100px;
  }
}

#Rnking__No2 > .pp__card-item > .pp__card-thumb img,
#Rnking__No3 > .pp__card-item > .pp__card-thumb img,
#Rnking__No4 > .pp__card-item > .pp__card-thumb img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.5s ease;
  border-radius: inherit;
}

/* カード　ランキング番号
---------------------------------------------------------------------------*/
  .pp__card {
    position: relative;
  }
  .card__ranking {
    position: absolute;
    display: flex;
    justify-content: center;
    left: -12px;
    top: -12px;
    align-items: center;
    z-index: 10;
    border: 2px solid #fff;
    border-radius: 50%;
    color: var(--main_white);
    font-family: var(--title-font-family);
    font-weight: bold;
  }
  .ranking-1 {
    background-color: var(--gold);
    width: 45px;
    height: 45px;
    font-size: var(--text-fs);
  }
  
  .ranking-2 {
    background-color: var(--silver);
    width: 40px;
    height: 40px;
    font-size: var(--title-fontSize-S);
  }
  .ranking-3 {
    background-color: var(--bronze);
    width: 40px;
    height: 40px;
    font-size: var(--title-fontSize-S);
  }

  .ranking-4 {
    background-color: var(--post-date);
    width: 40px;
    height: 40px;
    font-size: var(--title-fontSize-S);
  }
  
  @media screen and (max-width: 768px) {
    .card__ranking {
      width: 35px;
      height: 35px;
      font-size: var(--title-fontSize-S);
    }
  }

.pp__card:hover .card__title {
  color: var(--main_deap-red);
}
.pp__card:hover .pp__card-thumb img {
  transform: scale(1.1);
}

@media (hover: none) {
  .pp__card:active .card__title {
    color: var(--main_deap-red);
  }
  .pp__card:active .pp__card-thumb img {
    transform: scale(1.1);
  }
}
